package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.resource.domain.ModelVersion;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service
 * @Filename：ModelVersionService
 * @Description TODO
 * @Date：2025/1/9 16:52
 */

public interface ModelVersionService extends IService<ModelVersion> {

    List<ModelVersion> selectLogininforList(ModelVersion modelVersion);

    R<List<ModelVersion>> selectByModelId(Long modelId);

    List<ModelVersion> finbyid(Long id);

    R modelFileDownload(Long id);
}
